Subject: AS/400 QOpenSys ln support
From: [email-masked] (Igor A. Walter)

15 Dec 1998 20:36:09 -0800
Message-ID: <[email-masked]>
To: [email-masked]

Hi, 

I'm using CygWin B20 to access the QOpenSys file system on an AS/400, it's a kind of Unix FS emulation. (For more on the AS/400 IFS, http://publib.boulder.ibm.com:80/cgi-bin/bookmgr/BOOKS/QB3AUH02/5.3)

It works greatly going where I couldn't go with dos. But when I create a symbolic link, CygWin creates a system file that works perfectly while inside CygWin. The problem is that symbolic link is not an IFS (or Unix) link on the AS/400 side and I can't serve it from the AS/400 Web Server for example. When I create a symbolic link from the AS/400 with addlnk (add link)

In other words - supposing the AS/400 Unix emulation works fine - how do I mount an Unix FS from CygWin so that when creating a link it creates an Unix link instead of a (Windows) system file?

For example, I have this simple structure: 
-rw-r--r--   0 500      everyone     1133 Dec 11 19:15 ViewReceiptHistoryApplet.run.html
-rw-r--r--   0 500      everyone     1105 Dec 11 17:00 ViewReceiptHistoryApplet.run.html.bak
lrw-r--r--   0 500      everyone       44 Dec 15 17:02 index.html -> ViewReceiptHistoryApplet.run.html
-rw-r--r--   0 500      everyone     1121 Dec 14 19:15 link.html

My target file is ViewReceiptHistoryApplet.run.html. 
I've created a link from CygWin with ln -s ViewReceiptHistoryApplet.run.html index.html. And the link.html with addlnk as/400 command. When I serve link.html it's ok but serving index.html gives me a page with this content:
!<symlink>ViewReceiptHistoryApplet.run.html

The index.html is a stmf (stream file) AS/400 object while the link.html is an as/400 symbolic link (SYMLNK->STMF).

TIA, Igor
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".